Last Comment Bug 526399 - Download Manager Displays Unwanted Alert When Done
: Download Manager Displays Unwanted Alert When Done
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 20:58 PST by David E. Ross
Modified: 2009-12-16 16:09 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screen shot with alert in lower-right corner. (66.36 KB, image/jpeg)
2009-11-03 21:03 PST, David E. Ross
no flags Details
use correct pref [Checkin: comment 7] (2.00 KB, patch)
2009-11-05 10:47 PST, Jens Hatlak (:InvisibleSmiley)
neil: review+
neil: superreview+
kairo: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review

Description David E. Ross 2009-11-03 20:58:20 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091017 SeaMonkey/2.0
Build Identifier: 

When I download and save by using the "Save Link Target As" item in the pull-down context menu on a link, I get an alert when done.  However, I have cleared the "Show an alert" checkbox on the Downloads pane of the Preferences window.  

Reproducible: Always

Steps to Reproduce:
1.  Go to <http://www.irs.gov/app/picklist/list/formsInstructions.html>.  

2.  In the Find input area, enter "1040" (without quote marks).  

3.  Select the Find button.  

4.  On the resulting window, right-click on the link "Form 1040" and select Save Link Target As from the pull-down context menu.  

5.  On the file selection window, select a place to save the file.  Select the Save button.  


Actual Results:  
An "All Downloads Complete" alert box appears in the lower-right corner of the browser window.  

Expected Results:  
No alert box should appear.
Comment 1 David E. Ross 2009-11-03 21:03:20 PST
Created attachment 410133 [details]
Screen shot with alert in lower-right corner.  

Screen shot shows browser window with Downloads Complete alert box in lower-right corner.
Comment 2 David E. Ross 2009-11-05 08:17:26 PST
Is it possible that clearing the "Show an alert" checkbox should be setting preference variable browser.download.manager.showAlertOnComplete to false?
Comment 3 Shawn Wilsher :sdwilsh 2009-11-05 08:33:50 PST
(In reply to comment #2)
> Is it possible that clearing the "Show an alert" checkbox should be setting
> preference variable browser.download.manager.showAlertOnComplete to false?
This is exactly what that checkbox does.
Comment 4 J. Weaver Jr. 2009-11-05 09:30:05 PST
(In reply to comment #3)
> (In reply to comment #2)
> > Is it possible that clearing the "Show an alert" checkbox should be setting
> > preference variable browser.download.manager.showAlertOnComplete to false?
> This is exactly what that checkbox does.

That may be what it's _supposed_ to do, but it's doing nothing for me, with "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091017 SeaMonkey/2.0".  -JW
Comment 5 Jens Hatlak (:InvisibleSmiley) 2009-11-05 10:45:30 PST
(In reply to comment #3)
> (In reply to comment #2)
> > Is it possible that clearing the "Show an alert" checkbox should be setting
> > preference variable browser.download.manager.showAlertOnComplete to false?
> This is exactly what that checkbox does.

No, it sets browser.download.finished_download_alert. Patch coming up.
Comment 6 Jens Hatlak (:InvisibleSmiley) 2009-11-05 10:47:17 PST
Created attachment 410555 [details] [diff] [review]
use correct pref [Checkin: comment 7]

Simple pref change, applies to trunk and branch.
Comment 8 David E. Ross 2009-12-16 16:00:00 PST
In which version of SeaMonkey is this fixed?  It's not in 2.0.1.
Comment 9 Jens Hatlak (:InvisibleSmiley) 2009-12-16 16:09:17 PST
(In reply to comment #8)
> In which version of SeaMonkey is this fixed?  It's not in 2.0.1.

It should be. Note that we only changed which pref is used for the checkbox under Preferences/Downloads so it should now reflect the correct pref. We didn't change any pref values, though. You should once again check that the checkbox is reflecting what you want since it might now show a different state than in SM 2.0.

Note You need to log in before you can comment on or make changes to this bug.